Status: Closed

Priority: Low

Assignee:

Category: Build/Install

Affected QGIS version:2.18.2 Regression?: No

Operating System: arch linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23945

Description

When I compile qgis from source, with -DWITH_TXT2TAGS_PDF=ON, the compilation of the (generated?) 

/tmp/qgis/src/qgis-2.18.2/build/doc/INSTALL.tex fails.

The command executed:

/sbin/pdflatex -output-directory=/tmp/qgis/src/qgis-2.18.2/build/doc /tmp/qgis/src/qgis-2.18.2/build/doc/INSTALL.tex

The error output:

! Undefined control sequence.

\\thesection ...een}\\color {qgis-green}\\thechapter 

                                                  \\arabic {section}

l.33 ...ge\\section{\\color{qgis-green}Introduction}

? x

I narrowed it down: The LaTeX-file contains the entry \

enewcommand\\thesection{\\color{qgis-green}\\color{qgis-green}\\thechapter\\arabic{section}} (the whole line is

\\hypersetup{linkcolor=qgis-green,urlcolor=qgis-green}\

enewcommand\\thesection{\\color{qgis-green}\\color{qgis-green}\\thechapter\\arabic{section}}

; the first part is fine). Removing that \

enewcommand[...]-statement makes the compilation successfull.

Though I do not provide a patch here since this LaTeX file seems to get auto-generated and I did not dig up where the problem

originates.

My whole build command (executed within /tmp/qgis/src/qgis-2.18.2/build):

  cmake -G "Unix Makefiles" ../ \\

    -DCMAKE_INSTALL_PREFIX=/usr \\

    -DQGIS_MANUAL_SUBDIR=share/man \\

    -DENABLE_TESTS=FALSE \\

    -DCMAKE_SKIP_RPATH=TRUE \\
    -DPYTHON_EXECUTABLE=/usr/bin/python2 \\

   

-DWITH_INTERNAL_{DATEUTIL,FUTURE,HTTPLIB2,JINJA2,NOSE2,OWSLIB,PYGMENTS,PYTZ,QWTPOLAR,SIX,WEBKIT_BINDINGS,YAML}=OFF \\
    -DWITH_INTERNAL_{QEXTSERIALPORT}=ON \\
    -DPYQT4_SIP_DIR="${_pyqt4_sip_dir}" \\
    -DWITH_SERVER=ON \\
    -DWITH_GLOBE=ON \\
    -DWITH_SERVER=ON \\
    -DWITH_GLOBE=ON \\
    -DWITH_G

_BINDINGS,YAML}=OFF \\

    -DWITH_INTERNAL_{QEXTSERIALPORT}=ON \\

    -DPYQT4_SIP_DIR="${_pyqt4_sip_dir}" \\

    -DWITH_SERVER=ON \\

    -DWITH_GLOBE=ON \\

    -DWITH_SERVER=ON \\

    -DWITH_GLOBE=ON \\

    -DWITH_GRASS=OFF \\

    -DWITH_GRASS7=ON \\

    -DGRASS_PREFIX7=/opt/grass \\

    -DWITH_APIDOC=OFF \\

    -DWITH_ASTYLE=OFF \\

    -DWITH_BINDINGS=ON \\

    -DWITH_CUSTOM_WIDGETS=ON \\

    -DWITH_DESKTOP=ON \\

    -DWITH_ORACLE=OFF \\

    -DWITH_POSTGRESQL=ON \\

    -DWITH_PYSPATIALITE=ON \\

    -DWITH_QSPATIALITE=ON \\

    -DWITH_QTMOBILITY=ON \\

    -DWITH_QTWEBKIT=ON \\

    -DWITH_QWTPOLAR=ON \\

    -DWITH_STAGED_PLUGINS=ON \\

    -DWITH_TOUCH=ON \\

    -DWITH_TXT2TAGS_PDF=ON \\

  msg "Applying a dirty fix for a configuration system error ..." 

  sed -i "s| /usr/share/sip | ${_pyqt4_sip_dir} |"

python/CMakeFiles/{python_module_qgis__analysis,python_module_qgis__gui,python_module_qgis__server,generate_sip_qgis._analysis_cpp_files,python_module_qgis__core,generate_sip_qgis._core_cpp_files,generate_sip_qgis._gui_cpp_files,generate_sip_qgis._networkanalysis_cpp_files,python_module_qgis__networkanalysis}.dir/build.make

  make


._analysis_cpp_files,python_module_qgis__core,generate_sip_qgis._core_cpp_files,generate_sip_qgis._gui_cpp_files,generate_sip_qgis._networkanalysis_cpp_files,python_module_qgis__networkanalysis}.dir/build.make

  make


sip_qgis._networkanalysis_cpp_files,python_module_qgis__networkanalysis}.dir/build.make

  make

History

#1 - 2017-01-03 09:24 AM - Drei Eck

.. for completion, the environment variable _pyqt4_sip_dir in the build script is:

_pyqt4_sip_dir="/usr/share/sip/PyQt4" 

#2 - 2017-01-03 09:45 AM - Drei Eck

The output of the cmake-run is:
-- QGIS version: 2.18.2 Las Palmas (21802)

-- Found GRASS 7: /opt/grass (7.0.5, off_t size = )

-- Found Proj: /usr/lib64/libproj.so

-- Found GEOS: /usr/lib/libgeos_c.so (3.5.0)

-- Found GDAL: /usr/lib/libgdal.so (2.1.1)

-- Found Expat: /lib64/libexpat.so

-- Found Spatialindex: /usr/lib64/libspatialindex.so

-- Found Qwt: /usr/lib64/libqwt.so (6.1.3)

-- Found Sqlite3: /usr/lib64/libsqlite3.so

-- Found PostgreSQL: /usr/lib/libpq.so

-- Found SpatiaLite: /usr/lib64/libspatialite.so

-- Qt WebKit support enabled

-- Found Qt version: 4.8.7

-- Using QtMobility version: system's default

-- QtMobility version: 1.2.0

-- Touch support enabled

-- Found QScintilla2: /usr/lib64/libqscintilla2.so (2.9.3)

-- Found QCA: /usr/lib64/libqca.so (2.1.1)

-- Found QCA OpenSSL plugin

-- Pedantic compiler settings enabled

-- Found Python executable: /usr/bin/python2

-- Found Python version: 2.7.13

-- Found Python library: /usr/lib64/libpython2.7.so

-- Found PyQt4 version: 4.10.4-snapshot-e52357d82574

-- Found SIP version: 4.18.1

-- Found QScintilla2 PyQt module: 2.9.3

-- Found QwtPolar: /usr/lib64/libqwtpolar.so

-- Found GSL: -L/usr/lib -lgsl -lgslcblas -lm

-- Found FCGI: /usr/lib64/libfcgi.so

-- Qsci sip file not found - disabling bindings for derived classes

-- Configuring done

-- Generating done

-- Build files have been written to: /tmp/qgis/src/qgis-2.18.2/build

#3 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-02-23 11:27 AM - matteo ghetta

- Status changed from Open to Closed

- Description updated
